## eole-workstation-manager 2.8.1-59

=== debian/changelog ===
eole-workstation-manager (2.8.1-59) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [833b23f] Suppression de l’option obsolète -k pour samba-tool (backport 2.7.2)
  * [50d4a90] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [642244e] Merge branch '2.8.0/master' into 2.8.1/master
  * [f26678e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d2ccd16] Joël Cuissinat: Update package since “debian/eole/2.8.1-58”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 09 Mar 2023 15:42:53 +0100

eole-workstation-manager (2.8.1-58) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3b2e2d6] On AmonEcole autoaccept.timer is in "domaine" container
  * [1064600] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [66804ae] Joël Cuissinat: Update package since “debian/eole/2.8.1-57”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 03 Oct 2022 16:01:38 +0200

eole-workstation-manager (2.8.1-57) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [592fda2] Update salt pki path for Bareos backup
  * [5bd5183] Merge branch '2.7.2/master' into 2.8.0/master
  * [34f515e] Merge branch '2.8.0/master' into 2.8.1/master
  * [cab73b4] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [63adace] Joël Cuissinat: Update package since “debian/eole/2.8.1-56”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 27 Apr 2022 10:59:43 +0200

eole-workstation-manager (2.8.1-56) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [d46c70b] fix(debian/postinst): don't use [[ with sh

  [ EOLE Build Daemon ]
  * [3f97a3c] Laurent Gourvénec: Update package since “debian/eole/2.8.1-55”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 19 Apr 2022 13:51:00 +0200

eole-workstation-manager (2.8.1-55) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [a9151c1] fix(debian/control): salt dependencies on the proper package

  [ EOLE Build Daemon ]
  * [eb1183a] Daniel Dehennin: Update package since “debian/eole/2.8.1-54”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:20:49 +0200

eole-workstation-manager (2.8.1-54) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [7008890] feat(debian/control): new depends for 3004.1 upgrade
  * [29b5b32] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [5b01601] Daniel Dehennin: Update package since “debian/eole/2.8.1-53”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:15:24 +0200

eole-workstation-manager (2.8.1-53) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d5e17bb] suppression de la variable veyon_computer_tree (ref #33685)
  * [43ad359] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2414b90] Emmanuel Garette: Update package since “debian/eole/2.8.1-52”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Mar 2022 16:30:25 +0100

eole-workstation-manager (2.8.1-52) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [6af84f1] gestion des emplacements par OU (ref #33685)
  * [9dcd693] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3fd401a] Emmanuel Garette: Update package since “debian/eole/2.8.1-51”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 17 Jan 2022 17:46:31 +0100

eole-workstation-manager (2.8.1-51) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c9b3b89] CreoleRun est ecrasé dans le postservice, utilisation du vrai CreoleRun (ref #33328)
  * [37acb0b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1ec7aa2] Emmanuel Garette: Update package since “debian/eole/2.8.1-50”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 04 Nov 2021 17:23:26 +0100

eole-workstation-manager (2.8.1-50) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [a7bb475] Merge branch 'fix/remove-manager-from-admin' into 2.7.2/master
  * [8c19a65] Merge branch 'fix/remove-manager-from-admin' into 2.7.1/master
  * [14e569b] Samba 4.9 does not support “dsacl”
  * [7c19565] Merge branch '2.7.1/master' into 2.7.2/master

  [ Matthieu Lamalle ]
  * [280e956] mask salt-minion service ref #33328
  * [e22cc06] mask salt-minion service ref #33328
  * [758dea2] Merge branch '2.8.0/master'
  * [ea706be] mask salt-minion service 2.8.1 ref #33328
  * [6e0392d] correction 2.8.0 ref #33328
  * [a909ad6] Merge branch '2.8.0/master'
  * [0f92495] mask salt-minion service 2.8.1 ref #33328
  * [452e51a] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fca50d9] Matthieu Lamalle: Update package since “debian/eole/2.8.1-49”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 22 Oct 2021 10:25:22 +0200

eole-workstation-manager (2.8.1-49) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [d549310] feat(firefox): deploy proxy CA to firefox when available
  * [7805739] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2c26ae3] Daniel Dehennin: Update package since “debian/eole/2.8.1-48”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 06 Sep 2021 14:35:06 +0200

eole-workstation-manager (2.8.1-48) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [914d6bc] Utiliser la variable ad_homes_share_host pour AmonEcole (ref #32990)
  * [4b4ddc0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8beef33] Emmanuel Garette: Update package since “debian/eole/2.8.1-47”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 23 Jul 2021 15:29:07 +0200

## eole-workstation-manager 2.8.1-60

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-workstation-manager
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.1
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-workstation-manager (2.8.1-60) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [6b61b00] installation de salt minion egalement sous linux (ref #36411)
  * [e69c20b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1f4cce3] Emmanuel Garette: Update package since “debian/eole/2.8.1-59”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 06 Mar 2025 16:09:10 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start -peole-workstation-manager-salt --name=eole-workstation-manager
	dh_installsystemd --no-enable --no-start -peole-workstation-manager-salt --name=autoaccept

## eole-workstation-manager 2.9.0-6

=== debian/changelog ===
eole-workstation-manager (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3b2e2d6] On AmonEcole autoaccept.timer is in "domaine" container
  * [7adf390] Merge branch '2.8.1/master'
  * [1173517] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [49afc36] Joël Cuissinat: Update package since “debian/eole/2.9.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 04 Oct 2022 09:52:16 +0200

eole-workstation-manager (2.9.0-5) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [0c457e7] Suppression de l’option obsolète -k pour samba-tool.
  * [7bb148b] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4393010] Benjamin Bohard: Update package since “debian/eole/2.9.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 07 Jun 2022 14:58:34 +0200

eole-workstation-manager (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [592fda2] Update salt pki path for Bareos backup
  * [5bd5183] Merge branch '2.7.2/master' into 2.8.0/master
  * [34f515e] Merge branch '2.8.0/master' into 2.8.1/master
  * [0b83806] Merge branch '2.8.1/master'
  * [b5fcb16] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [85c0ad5] Joël Cuissinat: Update package since “debian/eole/2.9.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 27 Apr 2022 12:23:19 +0200

eole-workstation-manager (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [f6a4c5a] fix(debian/postinst): don't use [[ with sh
  * [bdd9aaf] Merge branch 'master' into dist/eole/2.9.0/master

  [ Emmanuel Garette ]
  * [6af84f1] gestion des emplacements par OU (ref #33685)
  * [4620328] Merge branch '2.8.1/master'
  * [d5e17bb] suppression de la variable veyon_computer_tree (ref #33685)
  * [72a5541] Merge branch '2.8.1/master'

  [ Daniel Dehennin ]
  * [51c8b63] fix(makefile): installing files requires directories first

  [ EOLE Build Daemon ]
  * [de0c85f] Laurent Gourvénec: Update package since “debian/eole/2.9.0-2”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 19 Apr 2022 13:52:14 +0200

eole-workstation-manager (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f296886] fix(debian/rules): use gzip compression

  [ EOLE Build Daemon ]
  * [6c3e1d2] Daniel Dehennin: Update package since “debian/eole/2.9.0-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:35:56 +0200

eole-workstation-manager (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [c8fafb3] Prepare version 2.9.0
  * [12f077e] Merge branch 'master' into dist/eole/2.9.0/master
  * [f1c1df6] feat(debian/control): new depends for 3004.1 upgrade
  * [c7a1253] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [e5573d4] Daniel Dehennin: Update package since “debian/eole/2.8.1-51”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:19:08 +0200

## eole-workstation-manager 2.9.0-7

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-workstation-manager
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-workstation-manager (2.9.0-7) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [833b23f] Suppression de l’option obsolète -k pour samba-tool (backport 2.7.2)
  * [50d4a90] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [642244e] Merge branch '2.8.0/master' into 2.8.1/master

  [ Emmanuel Garette ]
  * [6b61b00] installation de salt minion egalement sous linux (ref #36411)
  * [3d7e605] Merge branch '2.8.1/master' into 2.9.0/master
  * [e7fee60] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e440e25] Emmanuel Garette: Update package since “debian/eole/2.9.0-6”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 06 Mar 2025 16:09:36 +0100

## eole-workstation-manager 2.10.0-3

=== debian/changelog ===
eole-workstation-manager (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [73911bd] feat: ajout du réacteur au démarrage des minions
  * [a3da4e1] Merge branch 'feat/configure-reactor-minion-start'
  * [90efaf4] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [628db38] Daniel Dehennin: Update package since “debian/eole/2.10.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 31 Mar 2025 11:43:48 +0200

eole-workstation-manager (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [833b23f] Suppression de l’option obsolète -k pour samba-tool (backport 2.7.2)
  * [50d4a90] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [642244e] Merge branch '2.8.0/master' into 2.8.1/master

  [ Emmanuel Garette ]
  * [6b61b00] installation de salt minion egalement sous linux (ref #36411)
  * [3d7e605] Merge branch '2.8.1/master' into 2.9.0/master
  * [74a33a4] Merge branch '2.9.0/master'
  * [25b4cb1] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [001f596] Emmanuel Garette: Update package since “debian/eole/2.10.0-1”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 06 Mar 2025 16:09:58 +0100

eole-workstation-manager (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7509e97] Prepare release 2.10.0
  * [fdb4526] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [2db5cb8] Erreur de syntaxe dans le format SDDL.
  * [d5fbf14] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [7a7e64e] Benjamin Bohard: Update package since “debian/eole/2.9.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 12 Jun 2024 16:09:21 +0200

## eole-workstation-manager 2.10.0-5

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-workstation-manager
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-workstation-manager (2.10.0-5) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [2cd3643] fix(linux): symlinks are mandatory
  * [de7a16f] Merge branch 'feat/linux-workstations'
  * [61154f7] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ffd5b40] Daniel Dehennin: Update package since “debian/eole/2.10.0-4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 21 Jul 2025 10:42:11 +0200

eole-workstation-manager (2.10.0-4) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [fcdfbeb] fix(linux): byte range lock causes errors
  * [f03c82b] fix(linux): cifsacl is useless on linux
  * [fe83630] fix(linux): gid may be mapped to root
  * [e30cf80] feat(linux): remaining processes block umounting
  * [73f778e] feat(linux): configure login screen
  * [f13c479] Merge branch 'feat/linux-workstations'
  * [729a551] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a5d1673] Daniel Dehennin: Update package since “debian/eole/2.10.0-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 17 Jul 2025 18:02:16 +0200

=== debian/control ===
Source: eole-workstation-manager
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Homepage: http://pcll.ac-dijon.fr/eole
Vcs-Git: https://dev-eole.ac-dijon.fr/git/eole-workstation-manager.git
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-workstation/repository

Package: eole-workstation-manager
Architecture: all
Depends: python3-ldap,
         eole-workstation-ead3 (>= 2.8.1-1)
         ${misc:Depends}
Conflicts: eole-saltstack (<2.7.1)
Replaces: eole-workstation-binaries (<< 2.7.1-7), eole-scribe (<<2.8.1-13)
Breaks: eole-workstation-binaries (<< 2.7.1-7), eole-scribe (<<2.8.1-13)
Description: EOLE SaltMaster server for workstation management
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-workstation-manager-salt
Architecture: all
Depends: salt-master (>= 3004.1),
         python3-ldap,
         python3-m2crypto,
         ${misc:Depends}
Description: SaltMaster server for workstation management
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-workstation
Section: metapackages
Architecture: all
Depends: eole-workstation-manager,
         eole-workstation-binaries,
         ${misc:Depends}
Description: Dependency package for workstation management
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-workstation-pkg
Section: metapackages
Architecture: all
Depends: eole-workstation-formula,
         eole-workstation-joineole,
         eole-workstation-minion,
         eole-workstation-veyon,
         eole-ad-formula,
         eole-pam-mount-formula,
         eole-workstation-manager-salt,
         ${misc:Depends}
Description: Dependency package for workstation in "domaine" container
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start -peole-workstation-manager-salt --name=eole-workstation-manager
 	dh_installsystemd --no-enable --no-start -peole-workstation-manager-salt --name=autoaccept
+
+override_dh_builddeb:
+	# Make package compatible with older version
+	dh_builddeb -- -Zgzip -Srle
